Creators · Ledger
Returns ledger entries, one page at a time.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the money resource group disabled get 403 resource_group_disabled. Authentication
This endpoint is enabled per workspace. Until it is, calls return 403 feature_not_available. Email support@pozy.ai to turn it on.
Query parameters
| Name | Type | Notes |
|---|---|---|
scopeType | string | |
scopeId | string | |
kind | string | One of accrual, approval, hold_release, adjustment, settling, settlement, reversal, topup, transfer, fee |
referenceType | string | |
referenceId | string | |
limit | integer | Default 501 to 200 |
skip | integer | Default 0At least 0 |
Example
curl -X GET "https://api.pozy.ai/v1/ledger/entries?limit=50" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/ledger/entries?limit=50", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/ledger/entries",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"limit": 50,
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
entriesarray of object13 child fields
idstringkindstringOne of
accrual,approval,hold_release,adjustment,settling,settlement,reversal,topup,transfer,fee.amountCentsintegerdebitobject3 child fields
scopeTypestringscopeIdstringbucketstring
creditobject3 child fields
scopeTypestringscopeIdstringbucketstring
holdUntilstring (date-time)Can be null.
releasedByEntryIdstringCan be null.
referenceTypestringCan be null.
referenceIdstringCan be null.
reversesEntryIdstringCan be null.
causestringactorstringcreatedAtstring (date-time)
paginationobjecttotalintegerlimitintegerskipinteger
200 response
{
"entries": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"kind": "accrual",
"amountCents": 1,
"debit": {
"scopeType": "string",
"scopeId": "6c4ddacb1bf27185a5c9a056",
"bucket": "string"
},
"credit": {
"scopeType": "string",
"scopeId": "6c4ddacb1bf27185a5c9a056",
"bucket": "string"
},
"holdUntil": "2026-10-02T09:00:00.000Z",
"releasedByEntryId": "64c2f36f2fedea7830e4c6b7",
"referenceType": "string",
"referenceId": "694481796d5f513d4c6a3f67",
"reversesEntryId": "63545b5be6eea6591e1655ac",
"cause": "string",
"actor": "string",
"createdAt": "2026-10-02T09:00:00.000Z"
}
],
"pagination": {
"total": 42,
"limit": 1,
"skip": 1
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.